> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Deposit Sweep



## OpenAPI

````yaml api-reference/openapi-account.json POST /deposit_sweep
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /deposit_sweep:
    post:
      tags:
        - Enhanced FDIC Insurance
      summary: Create a Deposit Sweep
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  account_id: acct_11hryybpgdc399
                  network: network-name
                  opted_in: true
                  threshold_balance: '250000.00'
            schema:
              properties:
                account_id:
                  description: ID of the Account associated with the Deposit Sweep object
                  type: string
                network:
                  description: Name of the deposit sweep network associated with the object
                  type: string
                opted_in:
                  description: >-
                    Boolean identifying whether the account is currently opted
                    in to the Enhanced FDIC insurance program
                  type: boolean
                threshold_balance:
                  description: >-
                    Threshold balance over which funds should be reported to the
                    deposit sweep network, with two decimal precision. Example:
                    If the `current_balance` of an account was $20 and the
                    `threshold_balance` was $15, a sweep balance of $5 would be
                    reported to the network.
                  pattern: ^-?[0-9]+[.][0-9][0-9]$
                  type: string
              required:
                - account_id
                - opted_in
                - threshold_balance
                - id
                - network
        description: The deposit_sweep to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_abc123456
                    bank_id: bank_example
                    created_at: '2023-04-27T15:26:58Z'
                    customer_email: customer@example.com
                    customer_id: psn_abc123456
                    customer_identifier: '*6789'
                    id: dsa_abc654321
                    network: network-name
                    network_account_id: abc123456
                    opted_in: true
                    sweep_balance: '2500.00'
                    threshold_balance: '125000.00'
                    updated_at: '2023-06-29T13:58:20Z'
              schema:
                properties:
                  account_id:
                    description: ID of the Account associated with the Deposit Sweep object
                    type: string
                  bank_id:
                    description: ID of the bank for the deposit sweep account
                    type: string
                  customer_email:
                    description: >-
                      Email address of the primary customer associated with the
                      deposit sweep account. This is the email that would be
                      used for enrollment in the deposit sweep network.
                    type: string
                  customer_id:
                    description: >-
                      ID of the primary customer (person or business) associated
                      with the deposit sweep account. This is the customer that
                      would be used for enrollment in the deposit sweep network.
                    type: string
                  customer_identifier:
                    description: >-
                      The identifier used with the deposit sweep network for the
                      customer. This will be a masked TIN (for US entities with
                      a TIN) or the unique portion of the customer ID (for
                      foreign entities without a TIN).
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  network:
                    description: >-
                      Name of the deposit sweep network associated with the
                      object
                    type: string
                  network_account_id:
                    description: >-
                      Identifier used with the network for the deposit sweep
                      account
                    type: string
                  opted_in:
                    description: >-
                      Boolean identifying whether the account is currently opted
                      in to the Enhanced FDIC insurance program
                    type: boolean
                  sweep_balance:
                    description: >-
                      Current sweep balance reported to the deposit sweep
                      network, with two decimal precision. This will be null
                      when the account has not been reported to the network.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  threshold_balance:
                    description: >-
                      Threshold balance over which funds should be reported to
                      the deposit sweep network, with two decimal precision.
                      Example: If the `current_balance` of an account was $20
                      and the `threshold_balance` was $15, a sweep balance of $5
                      would be reported to the network.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
          description: The deposit_sweep created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````